post
https://partner.gupshup.io/partner/bizgate/app//integration/conversational/components
Saves the conversational components — welcome message, ice-breaker prompts, and commands — that end users see when opening a chat with the app's WhatsApp number.
Request parameters
Path parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| appId | Identifier of the WhatsApp app the call acts on. | 6f414190-d45c-4671-bca1-fb6c3018cb13 | String | Required |
Body
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| enable_welcome_message | Set true to receive request_welcome events | true | — | Required |
| commands | At most 30 commands | — | — | Required |
| prompts | At most 4 ice-breakers, each up to 80 characters | ["Track my order","Talk to support"] | — | Required |
Sample cURL — Set conversational components.
curl --request POST \
--url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/integration/conversational/components' \
--header 'Authorization: Bearer <UT>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"enable_welcome_message" : true,
"commands" : [ {
"command_name" : "track-order",
"command_description" : "Track the status of a recent order"
} ],
"prompts" : [ "Track my order", "Talk to support" ]
}'Sample success response (200)
{
"status": "success",
"data": {
"success": true
}
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…